--- title: "Send message" slug: "sens-sms-send" updated: 2026-10-08T04:15:14Z published: 2026-10-08T04:15:14Z canonical: "api.ncloud-docs.com/sens-sms-send" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # Send message Available in Classic and VPC This sends SMS/LMS/MMS messages. ## Request This section describes the request format. The method and URI are as follows: | Method | URI | | --- | --- | | POST | /sms/v2/services/{serviceId}/messages | ### Request headers For information about the request headers common to all Simple & Easy Notification Service APIs, see [Simple & Easy Notification Service request headers](/docs/en/sens-overview#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request path parameters You can use the following path parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `serviceId` | String | Required | SMS service ID - See [Get project list](/docs/en/sens-project-list). | ### Request body You can include the following data in the body of your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `type` | String | Required | Message type - `SMS` \| `LMS` \| `MMS` - `SMS`: SMS message - `LMS`: LMS message - `MMS`: MMS message | | `contentType` | String | Optional | Message content type - `COMM` (default) \| `AD` - `COMM`: General - `AD`: Advertisement | | `countryCode` | String | Optional | Country code - `82` (default) - See [List of countries where international SMS can be sent](https://guide.ncloud-docs.com/docs/en/sens-smspolicy). | | `from` | String | Required | Caller ID - Only numbers registered via the console can be used. - See [Register caller ID](https://guide.ncloud-docs.com/docs/en/sens-callingno#%EB%B0%9C%EC%8B%A0-%EB%B2%88%ED%98%B8-%EB%93%B1%EB%A1%9D). | | `subject` | String | Optional | Default message subject (byte) - 0-40 - Available only for LMS and MMS | | `content` | String | Required | Content of default message (byte) - SMS: 0-90 - LMS, MMS: 0-2000 | | `messages` | Array | Required | Message information: [messages](/docs/en/sens-sms-send#messages) - Maximum of 100 entries allowed. | | `files` | Array | Optional | Attachment file list: [files](/docs/en/sens-sms-send#files) - Available only for MMS. - Even if `type` is set to `MMS`, the message will be sent as LMS if there are no attachments. | | `reserveTime` | String | Optional | Reserved date and time - YYYY-MM-DD HH:mm format. - Enter for reserved delivery. | | `reserveTimeZone` | String | Optional | Reserved time zone - `Asia/Seoul` (default) - See [Time zone list](https://en.wikipedia.org/wiki/List_of_tz_database_time_zones). | Note - If the maximum supported size is exceeded, some content will be truncated and sent. - Message subject and content encoding is based on EUC-KR and sending fails if unsupported emoji characters are included. - The `subject` and `content` within `messages` have higher priority than the default `subject` and `content`. - If it is an MMS type but has no attachments, it will be sent as an LMS. - `reserveTime`: You cannot schedule a reserved message for a time within 10 minutes of the current time. #### `messages` The following describes `messages`. | Field | Type | Required | Description | | --- | --- | --- | --- | | `to` | String | Required | Recipient number - Only numbers can be entered. | | `subject` | String | Optional | Individual message subject (byte) - 0-40 - Available only for LMS and MMS - If not entered, default message subject is applied. | | `content` | String | Optional | Individual message content (byte) - SMS: 0-90 - LMS, MMS: 0-2000 - If not entered, default message content is applied. | #### `files` The following describes `files`. | Field | Type | Required | Description | | --- | --- | --- | --- | | `fileId` | String | Required | Attachment ID - See [Upload files](/docs/en/sens-sms-attachment-create). | ### Request example The request example is as follows: ``` curl --location --request POST 'https://sens.apigw.ntruss.com/sms/v2/services/ncp:sms:kr:50*********1:sens/messages' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' \ --header 'Content-Type: application/json' \ --data '{ "type": "MMS", "contentType": "COMM", "countryCode": "82", "from": "010********", "subject": "Delivery Notification", "content": "Hello. This is for notifying your delivery status.", "messages": [ { "to": "010********", "subject": "Delivery Noti", "content": "Hello, ******. This is for notifying your delivery status." } ], "files": [ { "fileId": "a136************************74f7" } ], "reserveTime": "2025-11-25 09:50", "reserveTimeZone": "Asia/Seoul" }' ``` ## Response This section describes the response format. ### Response body The response body includes the following data: | Field | Type | Required | Description | | --- | --- | --- | --- | | `requestId` | String | - | Request ID | | `requestTime` | String | - | Request date and time - YYYY-MM-DDTHH:mm:ss.sss format | | `statusCode` | String | - | Status code - It follows HTTP status code rules. - `202`: Success. - Others: Failure. | | `statusName` | String | - | Status - `success` \| `fail` - `success`: Success - `fail`: Failure | ### Response status codes For information about the response status codes common to all Simple & Easy Notification Service APIs, see [Simple & Easy Notification Service response status codes](/docs/en/sens-overview#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The response example is as follows: ``` { "requestId": "RSLA-*************-****-********-IZJQgZEc", "requestTime": "2025-11-25T09:39:40.535", "statusCode": "202", "statusName": "success" } ```